Subject: bug#69085: 29.2; Tramp: Extend tramp-make-copy-program-file-name via tramp-methods

From: Michael Albinus <[email-masked]>
Date: Wed, 14 Feb 2024 07:59:38 +0100

Sean Devlin <[email-masked]> writes:

> Hi Michael,

Hi Sean,
 
>> - And if HOST is a kind of container, would it be possible for you to
>>  use the "docker" or "podman" method of Tramp directly?
>
> I’ve looked a little bit at the code supporting these methods in tramp-container.el.
> They seem similar, but not exactly the same. Also, they do not support OOB
> copying, at least in the version of Tramp I’m reading (i.e. the version packaged with
> Emacs 29.2).

Could you pls elaborate verbosely, what is missing in your use case?
Perhaps we could extend tramp-container.el that it is applicable for you
as well.

(I take the time to invest it with you, because your urgent problem seems
to be mitigated by your defadvice.)

> Thanks for your help!

Best regards, Michael.